### Method

# AppStreamCompose Image save_pixbuf

#### Declaration [src]

    GdkPixbuf*
    asc_image_save_pixbuf (
      AscImage* image,
      guint width,
      guint height,
      AscImageSaveFlags flags
    )

#### Description [src]

Resamples a pixbuf to a specific size.

#### Parameters

`width`

  Type: `guint`

  Target width, or 0 for default.

`height`

  Type: `guint`

  Target height, or 0 for default.

`flags`

  Type: `AscImageSaveFlags`

  Some `AscImageSaveFlags` values, e.g. `ASC_IMAGE_SAVE_FLAG_PAD_16_9`.

#### Return value

Type: `GdkPixbuf`

A `GdkPixbuf` of the specified size.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.